#
# spec file for package ktamaga (Version 0.7.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         ktamaga
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      Tamagotchi Simulator
Version:      0.7.1
Release:      285
Source0:      ktamaga-0.7.1.tar.bz2
Patch0: ktamaga-0.7.1.dif

%description
Simulates one of those small japanese pets.

Authors:
--------
    John Zero <johnzero@telnet.hu>

SuSE series: k2de

%prep
%setup -n ktamaga-0.7.1
%patch -p 0 -E

%build
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde2 \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc COPYING INSTALL AUTHORS ChangeLog README 
%docdir /usr/doc
%docdir /usr/share/doc
%docdir /usr/share/man
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Games
%dir /opt/kde2/share/apps/ktamaga
%dir /opt/kde2/share/doc/HTML/en/ktamaga
%dir /opt/kde2/share/icons/hicolor/16x16
%dir /opt/kde2/share/icons/hicolor/16x16/apps
%dir /opt/kde2/share/icons/hicolor/32x32/apps
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/32x32/apps
/opt/kde2/bin/ktamaga
/opt/kde2/share/applnk/Games/ktamaga.desktop
/opt/kde2/share/apps/ktamaga/Makefile
/opt/kde2/share/apps/ktamaga/Makefile.am
/opt/kde2/share/apps/ktamaga/Makefile.in
/opt/kde2/share/apps/ktamaga/bg1.xpm
/opt/kde2/share/apps/ktamaga/icon_attent.xpm
/opt/kde2/share/apps/ktamaga/icon_attentact.xpm
/opt/kde2/share/apps/ktamaga/icon_attents.xpm
/opt/kde2/share/apps/ktamaga/icon_base.xpm
/opt/kde2/share/apps/ktamaga/icon_cancel.xpm
/opt/kde2/share/apps/ktamaga/icon_dbgdown.xpm
/opt/kde2/share/apps/ktamaga/icon_dbgleft.xpm
/opt/kde2/share/apps/ktamaga/icon_dbgnext.xpm
/opt/kde2/share/apps/ktamaga/icon_dbgprev.xpm
/opt/kde2/share/apps/ktamaga/icon_dbgright.xpm
/opt/kde2/share/apps/ktamaga/icon_dbgsave.xpm
/opt/kde2/share/apps/ktamaga/icon_dbgup.xpm
/opt/kde2/share/apps/ktamaga/icon_feed.xpm
/opt/kde2/share/apps/ktamaga/icon_feeds.xpm
/opt/kde2/share/apps/ktamaga/icon_inject.xpm
/opt/kde2/share/apps/ktamaga/icon_light.xpm
/opt/kde2/share/apps/ktamaga/icon_meal.xpm
/opt/kde2/share/apps/ktamaga/icon_null.xpm
/opt/kde2/share/apps/ktamaga/icon_play.xpm
/opt/kde2/share/apps/ktamaga/icon_plays.xpm
/opt/kde2/share/apps/ktamaga/icon_snack.xpm
/opt/kde2/share/apps/ktamaga/icon_status.xpm
/opt/kde2/share/apps/ktamaga/icon_teach.xpm
/opt/kde2/share/apps/ktamaga/icon_toilet.xpm
/opt/kde2/share/apps/ktamaga/icon_turnleft.xpm
/opt/kde2/share/apps/ktamaga/icon_turnright.xpm
/opt/kde2/share/apps/ktamaga/phase_0.dat
/opt/kde2/share/apps/ktamaga/phase_1.dat
/opt/kde2/share/apps/ktamaga/phase_10.dat
/opt/kde2/share/apps/ktamaga/phase_11.dat
/opt/kde2/share/apps/ktamaga/phase_2.dat
/opt/kde2/share/apps/ktamaga/phase_3.dat
/opt/kde2/share/apps/ktamaga/phase_4.dat
/opt/kde2/share/apps/ktamaga/phase_5.dat
/opt/kde2/share/apps/ktamaga/phase_6.dat
/opt/kde2/share/apps/ktamaga/phase_7.dat
/opt/kde2/share/apps/ktamaga/phase_8.dat
/opt/kde2/share/apps/ktamaga/phase_9.dat
/opt/kde2/share/apps/ktamaga/phase_other.dat
/opt/kde2/share/apps/ktamaga/position_0.dat
/opt/kde2/share/apps/ktamaga/position_1.dat
/opt/kde2/share/apps/ktamaga/position_10.dat
/opt/kde2/share/apps/ktamaga/position_11.dat
/opt/kde2/share/apps/ktamaga/position_2.dat
/opt/kde2/share/apps/ktamaga/position_3.dat
/opt/kde2/share/apps/ktamaga/position_4.dat
/opt/kde2/share/apps/ktamaga/position_5.dat
/opt/kde2/share/apps/ktamaga/position_6.dat
/opt/kde2/share/apps/ktamaga/position_7.dat
/opt/kde2/share/apps/ktamaga/position_8.dat
/opt/kde2/share/apps/ktamaga/position_9.dat
/opt/kde2/share/apps/ktamaga/tama_base.xpm
/opt/kde2/share/doc/HTML/en/ktamaga/alltamag.png
/opt/kde2/share/doc/HTML/en/ktamaga/configure.html
/opt/kde2/share/doc/HTML/en/ktamaga/iattent.png
/opt/kde2/share/doc/HTML/en/ktamaga/ieat.png
/opt/kde2/share/doc/HTML/en/ktamaga/ienject.png
/opt/kde2/share/doc/HTML/en/ktamaga/ilight.png
/opt/kde2/share/doc/HTML/en/ktamaga/index-1.html
/opt/kde2/share/doc/HTML/en/ktamaga/index-2.html
/opt/kde2/share/doc/HTML/en/ktamaga/index-3.html
/opt/kde2/share/doc/HTML/en/ktamaga/index-4.html
/opt/kde2/share/doc/HTML/en/ktamaga/index-5.html
/opt/kde2/share/doc/HTML/en/ktamaga/index.html
/opt/kde2/share/doc/HTML/en/ktamaga/interface1.png
/opt/kde2/share/doc/HTML/en/ktamaga/iplay.png
/opt/kde2/share/doc/HTML/en/ktamaga/istatus.png
/opt/kde2/share/doc/HTML/en/ktamaga/iteach.png
/opt/kde2/share/doc/HTML/en/ktamaga/itoile.png
/opt/kde2/share/doc/HTML/en/ktamaga/tchart.png
/opt/kde2/share/icons/hicolor/16x16/apps/ktamaga.png
/opt/kde2/share/icons/hicolor/32x32/apps/ktamaga.png
/opt/kde2/share/icons/locolor/16x16/apps/ktamaga.png
/opt/kde2/share/icons/locolor/32x32/apps/ktamaga.png

%changelog -n ktamaga
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Wed Aug 08 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Thu Jun 21 2001 - adrian@suse.de
- make it autoconf 2.50 ready
* Tue May 01 2001 - schwab@suse.de
- Fix missing const.
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Wed Nov 15 2000 - adrian@suse.de
- New version 0.7.1
* Wed Nov 08 2000 - ro@suse.de
- neededforbuild libmng
* Fri Sep 22 2000 - adrian@suse.de
- New version 0.7 (KDE2)
* Sat May 27 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Fri May 26 2000 - adrian@suse.de
- Spec file created from ktamaga-0.6.2.tar.gz by autospec
* Wed Apr 12 2000 - adrian@suse.de
- New version 0.6.2
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Sun Mar 05 2000 - adrian@suse.de
- New version 0.4a
* Fri Jan 28 2000 - ro@suse.de
- fixed to compile
* Thu Nov 04 1999 - bs@suse.de
- removed libgif from neededforbuild
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 12 1999 - kettner@suse.de
- New version 0.2
